org.apache.lucene.luke.app

## Class IndexHandler

- java.lang.Object
- - org.apache.lucene.luke.app.AbstractHandler<IndexObserver>
  - - org.apache.lucene.luke.app.IndexHandler

-     public final class IndexHandler
      extends AbstractHandler<IndexObserver>

  Index open/close handler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `static IndexHandler` | `getInstance()`
    `LukeState` | `getState()`
    `boolean` | `indexOpened()`
    `protected void` | `notifyOne(IndexObserver observer)`
    `void` | `open(String indexPath, String dirImpl)`
    `void` | `open(String indexPath, String dirImpl, boolean readOnly, boolean useCompound, boolean keepAllCommits)`
    `void` | `reOpen()`

    - ### Methods inherited from class org.apache.lucene.luke.app.AbstractHandler

      `addObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexHandler

          public IndexHandler()

  - ### Method Detail

    - #### getInstance

          public static IndexHandler getInstance()

    - #### notifyOne

          protected void notifyOne(IndexObserver observer)

      Specified by:
        `notifyOne` in class `AbstractHandler<IndexObserver>`

    - #### indexOpened

          public boolean indexOpened()

    - #### open

          public void open(String indexPath,
                           String dirImpl)

    - #### open

          public void open(String indexPath,
                           String dirImpl,
                           boolean readOnly,
                           boolean useCompound,
                           boolean keepAllCommits)

    - #### close

          public void close()

    - #### reOpen

          public void reOpen()

    - #### getState

          public LukeState getState()

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.